My Project

- Main Page
- Classes
- Files

- File List
- File Members

Macros | Functions
audiomanip.h File Reference
`#include <QAudioBuffer>`

Go to the source code of this file.

## Macros
#define | AudioBuffer QAudioBuffer::S16S

## Functions
void | RemoveVocals (AudioBuffer frames[], int N)
| Given the audio frames of the sound clip, remove the vocals from the clip. More...
void | AudioFadeIn (AudioBuffer frames[], int N, int fade_length)
| Perform an audio fade in of the sound clip. More...
void | AudioFadeOut (AudioBuffer frames[], int N, int fade_length)
| Perform an audio fade out of the sound clip. More...
void | LeftToRight (AudioBuffer frames[], int N, int pan_length)
| Performs a panning effect from left to right. More...

## Macro Definition Documentation

#define AudioBuffer QAudioBuffer::S16S

AudioBuffer is an object with left and right side of an stereo audio

## Function Documentation

void AudioFadeIn | ( | AudioBuffer | frames[],
|  | int | N,
|  | int | fade_length
| ) |  |

Perform an audio fade in of the sound clip.

Parameters

  frames | array that contains audio samples, it will modified this function.
  N | number of audio samples (per channel)
  fade_length | length of the fade in, in terms of audio samples

void AudioFadeOut | ( | AudioBuffer | frames[],
|  | int | N,
|  | int | fade_length
| ) |  |

Perform an audio fade out of the sound clip.

Parameters

  frames | array that contains audio samples, it will modified this function.
  N | number of audio samples (per channel)
  fade_length | length of the fade out, in terms of audio samples

void LeftToRight | ( | AudioBuffer | frames[],
|  | int | N,
|  | int | pan_length
| ) |  |

Performs a panning effect from left to right.

Parameters

  frames | array that contains audio samples, it will modified this function.
  N | number of audio samples (per channel)
  pan_length | length of the panning effect, in terms of audio samples

void RemoveVocals | ( | AudioBuffer | frames[],
|  | int | N
| ) |  |

Given the audio frames of the sound clip, remove the vocals from the clip.

Parameters

  frames | array that contains audio samples, it will be modified this function.
  N | number of audio samples (per channel)